package com.imdroid.sideslope.service;

import com.imdroid.secapi.dto.GnssStatus;
import com.imdroid.secapi.dto.GnssStatusMsg;
import com.imdroid.secapi.dto.GnssTrxMsg;
import com.imdroid.sideslope.sal.Device;

public interface WarningService {
    void refreshCfg();
    /***
     * 检查一个周期内的b562数量是否足够
     * 返回告警级别和告警码
     */
    void checkB562Num(String deviceId,Integer tenantId, int[] numB562Stat);

        /***
         * 检查电压、RSSI等
         */
    void checkDeviceStatus(GnssStatusMsg msg, GnssStatus curStatus);
    /***
     * 检查未知报文是否较多
     */
    void checkTrx(GnssTrxMsg msg, GnssStatus curStatus);

    void checkD3xxNum(Device device);
}
